Name:		scim-input-pad
Summary:	An onscreen input pad to input some symbols
Version:	0.1.2
Release:	%mkrel 1
Group:		System/Internationalization
License:	GPLv2+
URL:		http://sourceforge.net/projects/scim/
Source0:	http://prdownloads.sourceforge.net/scim/%{name}-%{version}.tar.gz
Patch0:		scim-input-pad-0.1.1-linkage.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	scim-client = %{scim_api}
BuildRequires:	scim-devel >= 1.4.7
Obsoletes:	%{_lib}scim-input-pad0

%description
An onscreen input pad to input some symbols.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unnecessary files
rm -f %{buildroot}/%{_libdir}/*.{a,la,so}
rm -f %{buildroot}/%{scim_plugins_dir}/*/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/scim-*
%{_datadir}/scim/icons/*
%{_datadir}/scim/input-pad/*
%{_libdir}/*.so.*
%{scim_plugins_dir}/Helper/*.so


%changelog
* Fri May 01 2009 Funda Wang <fundawang@mandriva.org> 0.1.2-1mdv2010.0
+ Revision: 369357
- New version 0.1.2

* Sat Feb 14 2009 Funda Wang <fundawang@mandriva.org> 0.1.1-6mdv2009.1
+ Revision: 340180
- fix linkage

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.1-5mdv2009.0
+ Revision: 242675
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-3mdv2008.0
+ Revision: 90263
- rebuild

* Fri Aug 24 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.1.1-2mdv2008.0
+ Revision: 70978
- package libtool files
- fix build with newer scim


* Tue Dec 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.1.1-1mdk
- new release
- add download URL
- drop patch 0 (merged upstream)

* Mon Dec 05 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.1.0-5mdk
- patch 0: fix build on x86_64

* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.0-4mdk
- Rebuild for new scim ( 1.4.0 )

* Mon Jun 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.0-3mdk
- Rebuild for new scim ( 1.3.1 )

* Fri Jun 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.0-2mdk
- Rebuild for new scim

* Thu Mar 24 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.0-1mdk
- new release

* Fri Mar 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.3-1mdk
- new release

* Tue Mar 08 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.2-1mdk
- new release

* Mon Mar 07 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-1mdk
- first spec for mdk

